export default {
  common: {
    unknown: '未知',
    record_history: '录制历史',
    settings: '设置',
    add: '添加',
    apply: '应用',
    delete: '删除',
    cancel: '取消',
    reset: '重置',
    confirm: '确认',
  },

  platform_name: {
    DouYu: '斗鱼',
    Bilibili: '哔哩哔哩',
    HuYa: '虎牙',
    DouYin: '抖音',
  },

  quality: {
    lowest: '最低',
    low: '低',
    medium: '中',
    high: '高',
    highest: '最高',
  },

  recorders: {
    sort: '排序',
    filter: '过滤',
    add_channel: '添加频道',
    added_time: '添加时间',
  },

  recorder: {
    platform: '平台',
    channel: '频道',
    state: '状态',
    remarks: '备注',
    quality: '录制画质',
    stream_priority: '视频流优先级',
    source_priority: '视频源优先级',
    ffmpeg_args_tip: '点击查看录制参数',
    ffmpeg_args: 'FFMPEG 录制参数',
    disable: '禁用',
    disable_auto_check: '禁用自动录制',
    refresh: '刷新',
    stop: '终止',
    history: '历史',
    state_idle: '空闲',
    state_recording: '正在录制',
    'state_stopping-record': '正在终止录制',
  },

  edit: {
    create_title: '正在添加新录制任务',
    edit_title: '正在编辑录制任务',
    channel_input_hint: '输入频道的 ID 或完整 URL，检测到 URL 时会自动解析为频道 ID',
    quality_input_hint: '根据设定的画质，自动选择合适的视频流',
    stream_priority_input_hint: '录制时将按前后顺序尝试选择指定流，成功时将忽略画质设置',
    source_priority_input_hint: '录制时将按前后顺序尝试选择指定源',
    parse_state_parsing: '正在解析',
    parse_state_error: '没有该 URL 能匹配的平台',
    parse_state_parsed: '解析完成',
    waiting_for_parsing: '等待解析',
  },

  settings: {
    global_recording_settings: '全局录制设置',
    save_path_rule: '保存路径规则',
    auto_remove_reserved_chars: '自动移除系统保留字符',
    spr_alert_title: '如何在保存路径中使用变量？',
    spr_alert_subtitle: "使用 `{'{}'}` 包裹住变量名即可，如 `/path/{'{platform}'}`",
    filed_name: '变量名',
    filed_value: '变量值',
    field_platform_hint: '录制的平台名，如 `Bilibili`',
    field_channel_hint: '录制的频道 id，如 `196`',
    field_title_hint: '频道的标题，如 `晚上好呀~`',
    field_owner_hint: '频道主的名称，如 `小缘`',
    field_remarks_hint: '频道的备注，为用户自定义的值',
    field_year_hint: '录制开始时的年份，如 `2020`',
    field_month_hint: '录制开始时的月份，如 `01`',
    field_date_hint: '录制开始时的日子，如 `15`',
    field_hour_hint: '录制开始时的钟头，如 `23`',
    field_min_hint: '录制开始时的分钟，如 `30`',
    field_sec_hint: '录制开始时的秒数，如 `59`',
    ffmpeg_output_args: 'FFMPEG 输出参数',
    auto_check_and_record: '自动检查并录制',
    check_interval: '检查间隔（毫秒）',
    app_settings: '应用设置',
    default_notice_format: "频道 {'{channelId}'} 开始录制",
    close_to_tray: '关闭时进入托盘',
    auto_generate_srt: '录制结束时自动生成 SRT 字幕文件',
    auto_remove_empty_record: '自动移除 0kb 的录制记录',
    notify_when_record_start: '录制开始时发出通知',
    notice_format: '通知内容格式',
    nf_alert_title: '如何在通知内容格式中使用变量？',
    nf_alert_subtitle: "使用 `{'{}'}` 包裹住变量名即可，如 `频道 {'{channelId}'} 开始录制`",
    debug_mode: '调试模式',
    about: '关于本软件',
    version: '版本',
    open_source: '开源地址',
    feedback: 'BUG / 意见反馈',
    author: '作者',
    email: '邮箱',
  },

  records: {
    record_history: '录像历史',
    clean_invalid_record: '清理无效记录',
    note: '注意',
    clean_invalid_record_tip: '这将移除所有视频文件已被删除的记录，包括搜索过滤之前的文件。',
    search: '搜索',
    field_start_time: '录制开始时间',
    field_end_time: '录制终止时间',
    field_duration: '录制时长',
    field_stop_reason: '终止原因',
    field_path: '路径',
    field_action: '操作',
    file_not_exists: '文件不存在',
    play: '播放',
    generate_srt: '生成 SRT 字幕',
    invalid_record_removed: '共 {count} 条无效记录被移除',
  },
}
